- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FColladaPluginManager Class Reference

The FCollada plug-ins manager. More...

`#include <FColladaPlugin.h>`

Inheritance diagram for FColladaPluginManager:

List of all members.

## Public Types
typedef fm::pvector< FCDETechnique > | FCDETechniqueList
typedef fm::map< uint32, FCPExtraTechnique * > | FCPExtraMap
| Make a processed map of CRC32 profile names vs plug-ins to handle them.
## Public Member Functions
| FColladaPluginManager ()
| Constructor.
size_t | GetArchivePluginsCount ()
| Retrieve the number of archive plugins that are loaded.
FCPArchive * | GetArchivePlugin (size_t index)
| Retrieves the archive plugin specified by the given index.
bool | RegisterPlugin (FUPlugin *plugin)
| Manually registers a plugin.
| DEPRECATED (3.05A, RegisterPlugin) inline bool AddPlugin(FCPExtraTechnique *plugin)
| See above.
| DEPRECATED (3.05A, RegisterPlugin) inline bool AddArchivePlugin(FCPArchive *plugin)
| See above.
bool | LoadDocumentFromFile (FCDocument *document, const fchar *filename)
| Load document to the given file.
| DEPRECATED (3.05A, LoadDocumentFromFile) inline bool LoadDocument(FCDocument *document
bool | SaveDocumentToFile (FCDocument *document, const fchar *filename)
| Save document to the given file.
| DEPRECATED (3.05A, SaveDocumentToFile) inline bool SaveDocument(FCDocument *document
FCPArchive * | FindArchivePlugin (const fchar *filename)
| [INTERNAL] Find the correct plug-in to the document according to the file extension.
void | PostImportDocument (FCDocument *document)
void | PreExportDocument (FCDocument *document, FCDETechniqueList &techniques)
void | PostExportDocument (FCDocument *document, FCDETechniqueList &techniques)
void | CreateExtraTechniquePluginMap (FCPExtraMap &map)

## Detailed Description

The FCollada plug-ins manager.

## Member Function Documentation

FCPArchive* FColladaPluginManager::GetArchivePlugin | ( | size_t | index | ) | `[inline]`

  | Retrieves the archive plugin specified by the given index. Parameters:
  | index | The archive plugin index.
Returns: The plugin pointer on success, NULL otherwise.

size_t FColladaPluginManager::GetArchivePluginsCount | ( |  | ) | `[inline]`

| Retrieve the number of archive plugins that are loaded. Returns: The number of archive plugins loaded.

bool FColladaPluginManager::LoadDocumentFromFile | ( | FCDocument * | document,
|  | const fchar * | filename
| ) |

  | Load document to the given file. Parameters:
  | document | the FCDocument which will be filled with loaded contents.
  | filename | The file name of the file to load.
Returns: 'true' if the operation is successful.

bool FColladaPluginManager::RegisterPlugin | ( | FUPlugin * | plugin | ) |

  | Manually registers a plugin. To manually un-register a plugin, use the plugin->Release() function. Parameters:
  | plugin | The plugin to manually add to the plugin map.
Returns: ?.

bool FColladaPluginManager::SaveDocumentToFile | ( | FCDocument * | document,
|  | const fchar * | filename
| ) |

  | Save document to the given file. Parameters:
  | document | the FCDocument whose contents are to be writtern in the file.
  | filename | the full path of the file to write.
Returns: 'true' if the operation is successful.

The documentation for this class was generated from the following file:

- FColladaPlugin.h